Package: org.gradle.platform.base

## [Java] Interface LanguageTypeBuilder<T>

- org.gradle.platform.base.TypeBuilder

- All Superinterfaces:
    TypeBuilder

  Allows a plugin to register a custom language.

  Parameters:
    `` - The custom language sourceset type.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `setLanguageName(String languageName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface TypeBuilder` | `defaultImplementation, internalView`

- - ### Method Detail

    - #### public void setLanguageName(String languageName)